﻿using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class Collisions : MonoBehaviour
{


    /*CODE DEALING WITH PLAYER TAKEN DAMAGE...*/
    public float playerCurrentHealth = 10; // base ten for now, will change with hp stat, etc (implement later)
    public float playerMaxHealth;
    public WeaponStats[] weapons;
    public int currentWeapon = 0;
    public Image healthBar;
    public Text healthBarText;

    void Start()
    {
        playerMaxHealth = playerCurrentHealth;
        healthBarText.text = (int)playerCurrentHealth + "/" + playerMaxHealth;
    }

    void Update()
    {
        if (playerCurrentHealth <= 0)
        {
            Death();
        }
        healthBar.fillAmount = playerCurrentHealth / playerMaxHealth;
        healthBarText.text = (int)playerCurrentHealth + "/" + playerMaxHealth;
    }

    void OnTriggerEnter2D(Collider2D col)
    {
        if (this.tag == "Weapon")
        { // weapons won't break
            return;
        }
        else
        {
            playerCurrentHealth = playerCurrentHealth - Random.Range(weapons[currentWeapon].damageMin, weapons[currentWeapon].damageMax);
        }

    }


    void Death()
    {
        if (this.tag == "Player")
        {
            SceneManager.LoadScene("mainScene1"); // spawn player in the town
        }
        else
        {
            Destroy(this); // delete enemy
        }

    }
}