﻿using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class EnterDoor : MonoBehaviour {

    public string sceneName;
    public GameObject player;
    public Transform[] spawnPoint;
    public static int spawnPointIndex = 3;
    public Text doorText;

    //teleporting player when leaving back to the door they initially entered (to target)
    void OnLevelWasLoaded() {
        player.transform.position = spawnPoint[spawnPointIndex].position;
    }
    // when creating extra doors, add spawnPoint[] in correct order in the inspector.
    void OnTriggerEnter2D(Collider2D collider) {
        if (this.CompareTag("Church")) {
            spawnPointIndex = 0;
            Debug.Log("The index is:" + spawnPointIndex);
        }
        else if (this.CompareTag("Blacksmith")) {
            spawnPointIndex = 1;
            Debug.Log("The index is:" + spawnPointIndex);
        }
        else if (this.CompareTag("Arena")) {
            spawnPointIndex = 2;
            Debug.Log("The index is:" + spawnPointIndex);
        }
        else if (this.CompareTag("MainSpawn")) {
            spawnPointIndex = 3;
            Debug.Log("The index is:" + spawnPointIndex);
        }

        if (collider.CompareTag("Player") && spawnPointIndex != 3) {
            doorText.text = ("Press [F] to Enter");
            if (Input.GetKeyDown("f")) {
                SceneManager.LoadScene(sceneName);
            }
        }

    }

    void OnTriggerStay2D(Collider2D collider) {
        if (collider.tag == "Player" && spawnPointIndex != 3) {
            if (Input.GetKeyDown("f")) {
                SceneManager.LoadScene(sceneName);
            }
        }
    }

    void OnTriggerExit2D(Collider2D collider) {
        if (collider.tag == "Player") {
            doorText.text = (""); // reset the "Press [F]...." text
        }
    }

 
}
