﻿using UnityEngine;
using System.Collections;

// This is used for character creation only
//
public class ChooseCharLook : MonoBehaviour {
	// set these in inspector
	public Sprite[] headOptions;
	public Sprite[] faceOptions;
	public Sprite[] legOptions;
	public float red;
	public float green;
	public float blue;
	private int curHead;
	private int curFace;
	private int curLegs;
	private setAppearance playerLooks;
	// note: bodies do not go here, this is character customization

	void Start () {
		playerLooks = GameObject.Find ("CharacterDisplay").GetComponent<setAppearance>(); // Access setAppearance object from characterDisplay
		curFace = 0;
		curHead = 0;
		curLegs = 0;
		red = 128;
		green = 128;
		blue = 128;
		updateLooks ();
	}

	public void updateLooks(){
		playerLooks.setFace(faceOptions[curFace]);
		playerLooks.setHead(headOptions[curHead]);
		playerLooks.setLegs(legOptions[curLegs]);
		playerLooks.refresh ();
	}

	public void nextFace(){
		if (curFace >= faceOptions.Length-1) {
			curFace = 0;
		} else {
			curFace++;
		}
		updateLooks ();
	}

	public void nextHead(){
		if (curHead >= headOptions.Length-1) {
			curHead = 0;
		} else {
			curHead++;
		}
		updateLooks ();
	}

	public void nextLegs(){
		if (curLegs >= legOptions.Length - 1) {
			curLegs = 0;
		} else {
			curLegs++;
		}
		updateLooks ();
	}

	public void setRed(float newValue){
		red = (newValue);
		playerLooks.addColor (red, green, blue);
	}

	public void setGreen(float newValue){
		green = (newValue);
		playerLooks.addColor (red, green, blue);
	}

	public void setBlue(float newValue){
		blue = (newValue);
		playerLooks.addColor (red, green, blue);
	}

}
